Subject: Re: bug#79126: vc-switch-working-tree does not work if there is no matching file

From: Sean Whitton <[email-masked]>
Date: Wed, 30 Jul 2025 14:10:55 +0100

Hello,

On Wed 30 Jul 2025 at 06:30am +02, Eshel Yaron wrote:

> FWIW, while incorporating this new feature in my Emacs branch, I've made
> a few experimental tweaks that eliminate these errors.  Namely, I added
> a variable vc-switch-working-tree-function which vc-switch-working-tree
> consults to do the actual switching.  By default this variable is set to
> a function that works for file-visiting buffers (similarly to the
> current implementation in master), but major modes can readily set this
> variable buffer-locally to provide worktree-switching support also for
> non-file buffers.  I used this indirection to support Dired buffers.

Interesting, though it seems to me that instead of adding a whole new
variable vc-switch-working-tree-function, someone could just write a
custom command and bind that to 'C-x v w w'?  Wouldn't that pretty much
cover it?

-- 
Sean Whitton